Bug 125796 - perl-Digest-SHA1 update request
perl-Digest-SHA1 update request
Status: CLOSED DUPLICATE of bug 153198
Product: Fedora
Classification: Fedora
Component: perl-Digest-SHA1 (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Turner
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-11 11:27 EDT by Steven Pritchard
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-02 18:05:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2004-06-11 11:27:15 EDT
Would it be possible to get an update to perl-Digest-SHA1 in FC1?

One of the packages I'm working on for fedora.us (perl-Cache-Cache,
required by perl-HTML-Mason) asks for Digest::SHA1 >= 2.02, and the
current version in FC1 is 2.01.  (The current upstream version is
2.10, which appears to have a lot of bugfixes, including one that
seems to remove the necessity for perl-Digest-SHA1-utf8.patch.)

The full changelog for the current release is here:

 http://search.cpan.org/src/GAAS/Digest-SHA1-2.10/Changes

I've done a test build of the current rpm with the updated source (and
the utf8 patch dropped).  It builds fine.

(This has been posted to fedora-devel-list.  Sorry if you've already
seen it.)
Comment 1 Robert Scheck 2005-03-04 17:38:19 EST
This bug should be assigned to Rawhide, perl Digest::SHA1 2.10 is available, 
the changes below makes it usable for me:

--- snipp ---
--- perl-Digest-SHA1.spec       2004-06-15 16:39:57.000000000 +0200
+++ perl-Digest-SHA1.spec.rsc   2005-03-04 23:35:59.000000000 +0100
@@ -1,15 +1,15 @@
 %define _use_internal_dependency_generator 0

 Name: perl-Digest-SHA1
-Version: 2.07
-Release: 5
+Version: 2.10
+Release: 1
 Summary: Digest-SHA1 Perl module
 License: distributable
 Group: Development/Libraries
-URL: http://search.cpan.org/search?mode=module&query=Digest%3a%3aSHA1
+URL: http://search.cpan.org/dist/Digest-SHA1/
 BuildRoot: %{_tmppath}/%{name}-root
 BuildRequires: perl >= 0:5.00503
-Source0: Digest-SHA1-%{version}.tar.gz
+Source0: http://search.cpan.org/CPAN/authors/id/G/GA/GAAS/Digest-SHA1-%{version}.tar.gz

 %description
 The Digest::SHA1 module allows you to use the NIST SHA-1 message
@@ -59,6 +59,9 @@
 %defattr(-,root,root)

 %changelog
+* Fri Mar 04 2005 Robert Scheck <redhat@linuxnetz.de> 2.10-1
+- upgrade to 2.10 (#125796)
+
 * Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
 - rebuilt

--- snapp ---

Please upgrade in Rawhide & thanks...
Comment 2 Warren Togami 2005-04-02 18:05:38 EST
using jpo's spec, fixed in FC4

*** This bug has been marked as a duplicate of 153198 ***

Note You need to log in before you can comment on or make changes to this bug.